"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveParameterKey = exports.resolveSecretKey = exports.resolveResourceName = void 0;
const awsLambdaUtils_1 = require("../awsLambdaUtils");
const resolveResourceName = (resourceName, qpqConfig) => {
    return (0, awsLambdaUtils_1.getRuntimeResourceName)(resourceName, qpqConfig);
};
exports.resolveResourceName = resolveResourceName;
const resolveSecretKey = (secretName, qpqConfig) => {
    return (0, awsLambdaUtils_1.getRuntimeResourceName)(secretName, qpqConfig);
};
exports.resolveSecretKey = resolveSecretKey;
const resolveParameterKey = (parameterName, qpqConfig) => {
    return (0, awsLambdaUtils_1.getRuntimeResourceName)(parameterName, qpqConfig);
};
exports.resolveParameterKey = resolveParameterKey;
